DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PixelHeapFree

Destroy heap structure

## SYNOPSIS

`#include "dip_pixelqueue.h"`

dip_Error dip_PixelHeapFree ( heap )

## FUNCTION

Frees all data associated to `heap` and sets `heap` to 0.

## ARGUMENTS

Data type | Name | Description
`dip_PixelHeap *` | `heap` | The heap structure

## SEE ALSO

`PixelHeapNew`, `StablePixelHeapNew`, `PixelQueueNew`, `PixelHeapPush`, `PixelHeapPop`, `PixelHeapIsEmpty`

DIPlib on-line documentation | Function reference | Global function index